Package com.independentsoft.office.spreadsheet

# Enum Class TimePeriod

java.lang.Object
java.lang.Enum<TimePeriod>
com.independentsoft.office.spreadsheet.TimePeriod

All Implemented Interfaces:
  `Serializable`, `Comparable<TimePeriod>`, `Constable`

public enum TimePeriod extends Enum<TimePeriod>
The Enum TimePeriod.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LAST_MONTH`
  `LAST_SEVEN_DAYS`
  `LAST_WEEK`
  `NEXT_MONTH`
  `NEXT_WEEK`
  `NONE`
  `THIS_MONTH`
  `THIS_WEEK`
  `TODAY`
  `TOMORROW`
  `YESTERDAY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TimePeriod`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TimePeriod[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LAST_SEVEN_DAYS

    public static final TimePeriod LAST_SEVEN_DAYS

  - ### LAST_MONTH

    public static final TimePeriod LAST_MONTH

  - ### LAST_WEEK

    public static final TimePeriod LAST_WEEK

  - ### NEXT_MONTH

    public static final TimePeriod NEXT_MONTH

  - ### NEXT_WEEK

    public static final TimePeriod NEXT_WEEK

  - ### THIS_MONTH

    public static final TimePeriod THIS_MONTH

  - ### THIS_WEEK

    public static final TimePeriod THIS_WEEK

  - ### TODAY

    public static final TimePeriod TODAY

  - ### TOMORROW

    public static final TimePeriod TOMORROW

  - ### YESTERDAY

    public static final TimePeriod YESTERDAY

  - ### NONE

    public static final TimePeriod NONE

- ## Method Details

  - ### values

    public static TimePeriod[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TimePeriod valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null